<div class="card" *ngIf="selectedProgressDay">
    <div class="card-header bordered">
        <div class="header-block">
            <h3 class="title">Детализация от {{selectedProgressDay.date}} ({{selectedProgressDay.percent}}%)</h3>
        </div>
    </div>
    <div class="card-block">
        <form #formGroup="ngForm" (ngSubmit)="onSubmit(formGroup)">
            <div class="form-group">

                <label class="control-label" for="e-select-category-parent">Категория:</label>
                <select
                        id="e-select-category-parent"
                        class="form-control"
                        name="parentIdx"
                        (change)="onParentSelect($event)"
                >
                    <option
                            *ngFor="let c of parentCategories; index as i"
                            [value]="i"
                    >{{c.parent !== null ? c.parent.name + ': ' : ''}}{{c.name}}
                    </option>
                </select>

                <label class="control-label" for="e-select-category-child">Тип:</label>
                <select
                        id="e-select-category-child"
                        class="form-control"
                        name="parentIdx"
                        [(ngModel)]="dropDownCategoryIdx"
                        (change)="onChildSelect($event)"
                        [ngModelOptions]="{standalone: true}"
                >
                    <option
                            *ngFor="let c of childCategories; index as i"
                            [value]="i"
                    >{{c.parent !== null ? c.parent.name + ': ' : ''}}{{c.name}}{{c.disposable ? ' (' + c.disposableDone + '/' + c.disposableCapacity + ')' : ''}}
                    </option>
                </select>

                <div
                        [ngClass]="{'has-error': score.invalid  && score.touched}"
                        class="form-group" *ngIf="!isSimpleCategory()">
                    <label class="control-label" for="e-category-value">Баллы </label>
                    <input
                            type="number"
                            id="e-category-value"
                            class="form-control"
                            [(ngModel)]="scoreToAdd"
                            name="score"
                            #score="ngModel"
                            min="1"
                            required
                    >
                    <span
                            *ngIf="score.invalid  && score.touched"
                            class="form-help-text">Не может быть пустым</span>
<!--                    <button class="btn btn-secondary " type='button' (click)="fastInputBalls(10)"> +10</button>-->
<!--                    <button class="btn btn-secondary " type='button' (click)="fastInputBalls(20)"> +20</button>-->
<!--                    <button class="btn btn-secondary " type='button' (click)="fastInputBalls(25)"> +25</button>-->
                </div>

            </div>

            <button
                    type="submit"
                    class="btn btn-primary "
                    [disabled]="formGroup.invalid"
            > Добавить
            </button>
        </form>

        <hr *ngIf="events.length > 0"/>
        <div class="header-block">
            <h3 class="title" *ngIf="events.length > 0">Выполнено:</h3>
        </div>
        <div style="margin-top: 20px">
            <div *ngFor="let event of events" style="margin-top: 10px">
                <label style="margin-top: 10px">{{prettyEventAppConvert(event)}} {{event.category.simple ? '' : ': ' + event.score}}</label>

                <button
                        *ngIf="events.length > 0"
                        (click)="remove(event)"
                        class="btn btn-warning pull-right"
                > Удалить
                </button>
            </div>

        </div>


    </div>
</div>
<p *ngIf="!selectedProgressDay">
    <app-loader></app-loader>
</p>
